<?php
/**
* @package mail
* @version 1.0
*/
/*
Plugin Name: Venteメール
Plugin URI: https://jisaku-hp.jp/
Description: お使いのテーマでお問い合わせ機能をご利用できます。
Author: 廣本　隆史
Version: 1.0
Author URI: https://jisaku-hp.jp/
*/
/**
 * 必要な定数を定義しておく
 */
define( 'MY_PLUGIN_VERSION', '1.0' );
define( 'MY_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'MY_PLUGIN_URL', plugins_url( '/', __FILE__ ) );

/**
 * スクリプト スタイルシートの読み込み
 */
add_action( 'wp_enqueue_scripts', function() {

	/** CSS */
	wp_enqueue_style(
		'vente_mail',
		MY_PLUGIN_URL.'style.css',
		array(),
		MY_PLUGIN_VERSION
	);
});
$path = WP_CONTENT_DIR.'/db.php';
$url = get_template_directory_uri();
$db = file_get_contents(WP_CONTENT_DIR.'/plugins/vente_mail/db.txt');
if (file_exists($path)) {

} else {
file_put_contents( WP_CONTENT_DIR."/db.php", $db);
}
function mail_Include($params = array()) {
 extract(shortcode_atts(array('file' => 'default'), $params));
 ob_start();
 include(plugin_dir_path( __FILE__ ) . "/$file.php");
 return ob_get_clean();
}
add_shortcode('include_code', 'mail_Include');
function original_page7() {
add_menu_page('メール設定', 'メール設定', 1, 'original_page7', 'original_menu_mail', '' ,210);
}
add_action('admin_menu', 'original_page7');
add_action('admin_init', 'register_custom_setting_mail');
function register_custom_setting_mail()
{
    register_setting('custom-menu-group2', 'mail');
    register_setting('custom-menu-group2', 'name');
    register_setting('custom-menu-group2', 'address');
    register_setting('custom-menu-group2', 'tel');
    register_setting('custom-menu-group2', 'fax');

}
function original_menu_mail() {include 'original_menu_mail.php';}
//----------------------------------------
//キーを追加するためのフィルターフック
//----------------------------------------
//$public_query_varsに、キーを渡す
function add_meta_query_vars_mail( $public_query_vars ) {
     //$public_query_vars に、'catalog'というキーを追加。
     $public_query_vars[] = 'catalog';
     $public_query_vars[] = 'lat';
     $public_query_vars[] = 'lng';
     return $public_query_vars;
}
//add_meta_query_vars関数を実行
add_filter( 'query_vars', 'add_meta_query_vars_mail' );
?>